<?php
/*
* Plugin-Name: Product Designer App
* Plugin-URI: https://productdesignerapp.com
* Author: productdesignerapp
* Page: Themes
*/

if (!defined('ABSPATH'))
{
    exit;
}

wp_enqueue_script('pdapp-script', PDAPP_PLUGIN_URL .'assets/js/pdapp-inline.js', ['jquery'], PDAPP_VERSION.'-'. time(), true);
wp_add_inline_script('pdapp-script', 'var pdappPurchasedCode = "'. esc_html(pdapp_get_user_key()) .'"; var pdappHomeUrl = "'. esc_url(PDAPP_HOME_URL) .'"; var pdappVersion = "'. esc_html(PDAPP_VERSION) .'";', 'before');

$pdappDevScript = PDAPP_DEV_MODE ? '' : 'min.';
$pdappDevStr = PDAPP_DEV_MODE ? '' : '-min';
wp_enqueue_script('pdapp-vue-script', PDAPP_PLUGIN_URL .'assets/plugins/vue/js/vue.min.js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-api-script'. $pdappDevStr, PDAPP_PLUGIN_URL .'admin/assets/js/themes/pdapp-api.'. $pdappDevScript. 'js', ['jquery'], PDAPP_VERSION, true);
wp_enqueue_script('pdapp-main-script'. $pdappDevStr, PDAPP_PLUGIN_URL .'admin/assets/js/themes/pdapp-main.'. $pdappDevScript. 'js', ['jquery'], PDAPP_VERSION, true);
?>